Subject: Re: DFF

From: Ulrich Herberg <[email-masked]>
Date: Fri, 2 Mar 2012 19:22:02 -0800

Hi,

I have submitted an updated revision of our draft:
http://tools.ietf.org/html/draft-cardenas-dff-04

Compared to the previous revision, it has:
 - a revised Security considerations section
 - many editorial updates
 - better description of integration with underlying layers

Any feedback is welcome.

Best regards
Ulrich

On Mon, Jan 16, 2012 at 1:49 PM, Ulrich Herberg <[email-masked]> wrote:

> Hi,
>
> In December, I have sent a link to a draft which may be of interest
> for the RtgWG. There was not much discussion (maybe because of the
> upcoming Christmas holidays), so I was asked by the chairs to resend
> the link and ask for review. Below you find a summary of the contents.
>
> I would also like to request a slot at the upcoming Paris IETF to
> present the draft.
>
> Our draft describes a data forwarding mechanism, currently specified
> for 6lowpan (but it would be doable to add the same mechanism for IPv6
> as well). The idea is that a node first tries to forward a data packet
> along the route proposed by the routing protocol. However, if the
> topology has changed or a link has become unstable, instead of
> dropping the packet, the node tries to find alternate paths towards
> the destination by applying a "depth-first search" in the network,
> possibly updating the route cost in the routing protocol. This allows
> for increasing the delivery ratio until the route has been corrected
> by the routing protocol. The advantage is that one requires fewer
> updates of the control plane, which may have negative effects on an
> already unstable topology (e.g. by flooding RREQ or LSAs).
> We have done a number of simulations and also real tests with several
> hundred nodes at Fujitsu which showed a significant performance
> improvement. If you are interested in reading the draft, I would
> appreciate any kind of feedback.
>
> I-D
> http://tools.ietf.org/html/draft-cardenas-dff
>
> We have code both for the real testbed and for the simulator.
> Moreover, I am currently developing open source code.
>
> Some results in a paper (
> http://www.flacp.fujitsulabs.com/~uherberg/DFF.pdf)
> Comparison of Data Forwarding Mechanisms for AMI Networks. Sandra
> Céspedes, Alvaro A. Cárdenas, Tadashige Iwao. 2012 IEEE Innovative
> Smart Grid Technologies Conference (ISGT). January 17-19, 2012.
>
> Best regards
> Ulrich
>